Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.referenceable
Class SerializableObjectRefAddr

    java.lang.Object
      javax.naming.RefAddr
          org.jboss.jms.referenceable.SerializableObjectRefAddr

All Implemented Interfaces:
  java.io.Serializable

public class SerializableObjectRefAddr
extends javax.naming.RefAddr

A SerializableObjectRefAddr. A RefAddr that can be used for any serializable object. Basically the address is the serialized form of the object as a byte[]

Version:
  $Revision: 1.1 $ $Id: SerializableObjectRefAddr.java,v 1.1 2006/05/17 13:33:58 timfox Exp $
Author:
  Tim Fox
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.naming.RefAddr
`addrType`

Constructor Summary
`SerializableObjectRefAddr(java.lang.String type, java.lang.Object content)`

Method Summary
`static java.lang.Object` | `deserialize(byte[] bytes)`
`java.lang.Object` | `getContent()`

Methods inherited from class javax.naming.RefAddr
`equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializableObjectRefAddr

    public SerializableObjectRefAddr(java.lang.String type,
                                     java.lang.Object content)
                              throws javax.naming.NamingException

Method Detail

### getContent

    public java.lang.Object getContent()

### deserialize

    public static java.lang.Object deserialize(byte[] bytes)
                                        throws java.io.IOException,
                                               java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.